package mosaic.sim.kernel.output;

import java.awt.*;

public class HorizontalBarView extends ContVariableView {

// Class paints a horizontal bar whos width depends on actual value,
// Maximum Size is defined by property maxValue
    public HorizontalBarView() {
    }

    public void paintValue(Graphics g) {
        double val = Math.min(this.getDoubleValue(), max);
        g.setColor(getForeground());
        g.fillRect(0, 0,
                   (int)(getWidth()*(val/(max-min))),
                   getHeight() );
    }

}
