package mosaic.sim.kernel.output;

import java.awt.*;

public class HorizontalFlowView extends FlowView {

// Class paints a vertical bar whos width depends on actual value,
// paint background in backgroundcolor.
// Maximum Size is defined by property maxValue
    public HorizontalFlowView() {
    }

    public void paintValue(Graphics g) {
        double val = Math.min(this.getDoubleValue(), max);
        g.setColor(getBackground());
        g.fillRect(0, 0, getWidth()-1, getHeight()-1 );
        g.setColor(getFlowColor());
        g.fillRect(0,
                   0,
                   (int)(getWidth()*(val/(max-min))),
                   getHeight() );
        g.setColor(getForeground());
        g.drawRect(0,0, getWidth() - 1, getHeight() -1 );
        g.drawRect(1,1, getWidth() - 3, getHeight() -3 );

    }


}
