/*****************************************************************************
 *  Project: DEVSNeuron
 *  Description: discrete event-based simulation of spiking neural networks
 *  Filename: $RCSfile: GlobalConstants.java,v $
 *  Author: Rene Mayrhofer
 *  Copyright: Rene Mayrhofer 2001
 *  Project version tag: $Name:  $
 *  File version: $Revision: 1.3 $
 *  Last changed at: $Date: 2002/05/13 17:30:14 $
 *  Last changed by: $Author: Rene $
 *****************************************************************************/

package mosaic.sim.neuron;

/** This class contains some constants that are globally used within the
 *  framework.
 */
public class GlobalConstants {
	/** This constant specifies the inaccuracy window for double values. Two
	 *  double values that are no more different than this value are regarded
	 *  as being equal.
	 */
	public static final double DOUBLE_INACCURACY_WINDOW = 5.0E-4;
}
