package mosaic.vis.output;

import java.awt.*;
import java.net.*;
import javax.swing.*;
import mosaic.sim.kernel.variable.*;
import mosaic.sim.kernel.*;

public class AnimatedImageWheelView extends BoolAnimatedImageView {

    //
    // Construction
    //

    public AnimatedImageWheelView() {
        this(1.0);
    }

    public AnimatedImageWheelView(double cycleTime) {
        // images for the wheels
        super(null, cycleTime);
        URL wheel1URL = getClass().getResource("wheel1.gif");
        URL wheel2URL = getClass().getResource("wheel2.gif");
        ImageIcon wheelImg1 = new ImageIcon(wheel1URL);
        ImageIcon wheelImg2 = new ImageIcon(wheel2URL);
        setImages(new ImageIcon[] {wheelImg1, wheelImg2});
    }
}
