package mosaic.sim.contBlocks;

import mosaic.sim.kernel.variable.*;
import mosaic.sim.kernel.continuous.*;
import mosaic.sim.kernel.*;
import java.awt.*;
import java.awt.geom.*;
import java.util.ArrayList;
import javax.swing.JLabel;


/** Implements an equation. The method equation() has to be specified. */
public class Equation extends AbstractContEquation{
   ArrayList inputs=new ArrayList(10);
   DoubleVariable[] tenInputs=new DoubleVariable[10];
   ArrayList outputs=new ArrayList(10);
   DoubleVariable[] tenOutputs=new DoubleVariable[10];
   JLabel la;
   public Equation() {
      super();
      } // Sum;

   public Equation(String name) {
      super(name);
      } // Sum


/*   public Sum(DoubleVariable input,DoubleVariable output){
      super();
      initPaint();
      setInput(input);
      setOutput(output);
      } // Sum;

   public Sum(String name,DoubleVariable input,DoubleVariable output){
      super(name);
      initPaint();
      setInput(input);
      setOutput(output);
      } // Sum

   public Sum(ModelComponent parent, String name,DoubleVariable input,DoubleVariable output){
      super(parent, name);
      initPaint();
      setInput(input);
      setOutput(output);
      } // Sum

   public Sum(ModelComponent parent,DoubleVariable input,DoubleVariable output){
      super(parent);
      initPaint();
      setInput(input);
      setOutput(output);
      } // Sum
*/
  /** Set the input variable. */
  public void addInput(DoubleVariable input){
    if (input==null) return;
    if (inputs.contains(input)) return;
    inputs.add(input);
    DoubleVariable domain[]=new DoubleVariable[inputs.size()];
    for (int i=0;i<inputs.size();i++) domain[i]=(DoubleVariable)inputs.get(i);
    try{
      setDomains(domain);
    } catch(VariableException e){printErrorOutput(e.getMessage());}
  }

  /** Set the output variable. */
  public void addOutput(DoubleVariable output){
    if (output==null) return;
    if (outputs.contains(output)) return;
    outputs.add(output);
    DoubleVariable target[]=new DoubleVariable[outputs.size()];
    for (int i=0;i<outputs.size();i++) target[i]=(DoubleVariable)outputs.get(i);
    try{
      setTargets(target);
    } catch(VariableException e){printErrorOutput(e.getMessage());}
  }


  /** Returns the input variable. */
  public ArrayList getInputs(){
    return inputs;
  }

  /** Returns the output variable. */
  public ArrayList getOutput(){
    return outputs;
  }

  public void removeInput(DoubleVariable input){
    if (input==null) return;
    int pos=inputs.indexOf(input);
    if (pos<0) return;
    inputs.remove(pos);
    remOneOfTenI(input);
  }

  public void removeOutput(DoubleVariable output){
    if (output==null) return;
    int pos=outputs.indexOf(output);
    if (pos<0) return;
    outputs.remove(pos);
    remOneOfTenO(output);
  }

  protected void remOneOfTenI(DoubleVariable input){
    for (int i=0;i<10;i++){
      if (tenInputs[i]==input) tenInputs[i]=null;
    }
  }

  protected void remOneOfTenO(DoubleVariable output){
    for (int i=0;i<10;i++){
      if (tenOutputs[i]==output) tenOutputs[i]=null;
    }
  }


/*-- new input  -----*/
  public void setInput01(DoubleVariable input){
    removeInput(tenInputs[0]);
    tenInputs[0]=input;
    addInput(input);
  }

  public DoubleVariable getInput01(){
    return tenInputs[0];
  }

  /*-- new input  -----*/
  public void setInput02(DoubleVariable input){
    removeInput(tenInputs[1]);
    tenInputs[1]=input;
    addInput(input);
  }

  public DoubleVariable getInput02(){
    return tenInputs[1];
  }

/*-- new input  -----*/
  public void setInput03(DoubleVariable input){
    removeInput(tenInputs[2]);
    tenInputs[2]=input;
    addInput(input);
  }

  public DoubleVariable getInput03(){
    return tenInputs[2];
  }

/*-- new input  -----*/
  public void setInput04(DoubleVariable input){
    removeInput(tenInputs[3]);
    tenInputs[3]=input;
    addInput(input);
  }

  public DoubleVariable getInput04(){
    return tenInputs[3];
  }

/*-- new input  -----*/
  public void setInput05(DoubleVariable input){
    removeInput(tenInputs[4]);
    tenInputs[4]=input;
    addInput(input);
  }

  public DoubleVariable getInput05(){
    return tenInputs[4];
  }

/*-- new input  -----*/
  public void setInput06(DoubleVariable input){
    removeInput(tenInputs[5]);
    tenInputs[5]=input;
    addInput(input);
  }

  public DoubleVariable getInput06(){
    return tenInputs[5];
  }

/*-- new input  -----*/
  public void setInput07(DoubleVariable input){
    removeInput(tenInputs[6]);
    tenInputs[6]=input;
    addInput(input);
  }

  public DoubleVariable getInput07(){
    return tenInputs[6];
  }

/*-- new input  -----*/
  public void setInput08(DoubleVariable input){
    removeInput(tenInputs[7]);
    tenInputs[7]=input;
    addInput(input);
  }

  public DoubleVariable getInput08(){
    return tenInputs[7];
  }

/*-- new input  -----*/
  public void setInput09(DoubleVariable input){
    removeInput(tenInputs[8]);
    tenInputs[8]=input;
    addInput(input);
  }

  public DoubleVariable getInput09(){
    return tenInputs[8];
  }

/*-- new input  -----*/
  public void setInput10(DoubleVariable input){
    removeInput(tenInputs[9]);
    tenInputs[9]=input;
    addInput(input);
  }

  public DoubleVariable getInput10(){
    return tenInputs[9];
  }




/*-- new output  -----*/
  public void setOutput01(DoubleVariable output){
    removeOutput(tenOutputs[0]);
    tenOutputs[0]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput01(){
    return tenOutputs[0];
  }

  /*-- new output  -----*/
  public void setOutput02(DoubleVariable output){
    removeOutput(tenOutputs[1]);
    tenOutputs[1]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput02(){
    return tenOutputs[1];
  }

/*-- new output  -----*/
  public void setOutput03(DoubleVariable output){
    removeOutput(tenOutputs[2]);
    tenOutputs[2]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput03(){
    return tenOutputs[2];
  }

/*-- new output  -----*/
  public void setOutput04(DoubleVariable output){
    removeOutput(tenOutputs[3]);
    tenOutputs[3]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput04(){
    return tenOutputs[3];
  }

/*-- new output  -----*/
  public void setOutput05(DoubleVariable output){
    removeOutput(tenOutputs[4]);
    tenOutputs[4]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput05(){
    return tenOutputs[4];
  }

/*-- new output  -----*/
  public void setOutput06(DoubleVariable output){
    removeOutput(tenOutputs[5]);
    tenOutputs[5]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput06(){
    return tenOutputs[5];
  }

/*-- new output  -----*/
  public void setOutput07(DoubleVariable output){
    removeOutput(tenOutputs[6]);
    tenOutputs[6]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput07(){
    return tenOutputs[6];
  }

/*-- new output  -----*/
  public void setOutput08(DoubleVariable output){
    removeOutput(tenOutputs[7]);
    tenOutputs[7]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput08(){
    return tenOutputs[7];
  }

/*-- new output  -----*/
  public void setOutput09(DoubleVariable output){
    removeOutput(tenOutputs[8]);
    tenOutputs[8]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput09(){
    return tenOutputs[8];
  }

/*-- new output  -----*/
  public void setOutput10(DoubleVariable output){
    removeOutput(tenOutputs[9]);
    tenOutputs[9]=output;
    addOutput(output);
  }

  public DoubleVariable getOutput10(){
    return tenOutputs[9];
  }


  public void equation(){
  }

  public Dimension getPreferredSize() {
    return new Dimension(58,24);
  }
}
