package mosaic.sim.kernel.continuous;

/**
* Diese Ausnahmebedingung zeigt an, da versucht wird, einer Variablen, die eine
* definierende Variable besitzt, einen Wert zuzuweisen. Dies ist nicht mglich,
* da der Wert durch die definierende Variable vorgegeben wird.
*/

public class CSECanNotSetValue
   extends ContSimulationException
   {
   /**
   * Erzeugt eine Instanz dieser Klasse mit fixem Fehlertext.
   */
   public CSECanNotSetValue()
      { this("can not set value for variable"); }

   /**
   * Erzeugt eine Instanz der Klasse mit bergebenem Fehlertext.
   * @param s Fehlertext der Ausnahmebedingung
   */
   public CSECanNotSetValue(String s)
      { super(s); }
   } // class CSECanNotSetValue
   
// end of CSECanNotSetValue.java
