package mosaic.sim.kernel.continuous;

/**
* Diese Ausnahmebedingung zeigt an, da bei der Anpassung der Schrittweite durch
* den Integrationsalgorithmus die minimal mgliche Schrittweite unterschritten
* wurde.
*/

public class CSEMinimalStepWidthExeeded
   extends ContSimulationException
   {
   /**
   * Erzeugt eine Instanz dieser Klasse mit fixem Fehlertext.
   */
   public CSEMinimalStepWidthExeeded()
      { this("minimal stepwidth exeeded"); }

   /**
   * Erzeugt eine Instanz der Klasse mit bergebenem Fehlertext.
   * @param s Fehlertext der Ausnahmebedingung
   */
   public CSEMinimalStepWidthExeeded(String s)
      { super(s); }
   } // class CSEMinimalStepWidthExeeded

// end of CSEMinimalStepWidthExeeded.java
